#ifndef REQUETES_H
#define REQUETES_H

#include "ui_requete.h"
#include <QWidget>
#include <QSqlDatabase>

class Requete : public QWidget , public Ui::RequeteWidget
{
    Q_OBJECT
    public:
        Requete(QObject * parent = 0);
        ~Requete();

    private slots:
        void initItemsCombo(int);
        void writeInSelectEdit(int);
        void writeAllSelectSentence();
        void search();

    private:
        void initialise();
        void initTablesCombo();
        void initItemsCombo();
        void fillComboConditions();
        QSqlDatabase m_db;
        QString m_selectEditItems;
};

#endif

